<template>
  <div id="app">
    <div id="nav">
      <router-link to="/">Accueil</router-link> |
      <router-link to="/games">Jeux</router-link> |
      <router-link to="/about">About</router-link>
    </div>
    <router-view/>
  </div>
</template>

<style>
#vue_logo {
  max-height: 30px;
}
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}

#simon-game-screen {
    display: grid;
    width: 50%;
    margin: auto;
    margin-top: 50px;
    grid-template: 
    "simon-btn-1 simon-btn-2"
    "simon-btn-3 simon-btn-4";
    grid-template-columns: repeat(2, 1fr);
    grid-template-rows: repeat(2, auto);
}

.simon-header {
    text-align: center;
}

tale-button[id*='simon-btn'],div[id^='simon-btn'] {
    height: 30vh;
    border: 1px solid black;
    background-color: lavender;

    text-align: center;
    line-height: 30vh;
}

#simon-btn-1 {
    border-top: 3px solid brown;
    border-left: 3px solid brown;
    border-top-left-radius: 30%;
    box-shadow: darkgrey -5px 0px 15px;
}

#simon-btn-2 {
    border-top: 3px solid blue;
    border-right: 3px solid blue;
    border-top-right-radius: 30%;
    box-shadow: darkgrey 5px 0px 15px;
}

#simon-btn-3 {
    border-bottom: 3px solid blueviolet;
    border-left: 3px solid blueviolet;
    border-bottom-left-radius: 30%;
    box-shadow: darkgrey -10px 5px 15px;
}

#simon-btn-4 {
    border-bottom: 3px solid darkgreen;
    border-right: 3px solid darkgreen;
    border-bottom-right-radius: 30%;
    box-shadow: darkgrey 10px 10px 15px;
}
</style>
